Bug 181921 - [exp-run] Update Qt to 4.8.5
[exp-run] Update Qt to 4.8.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Raphael Kubo da Costa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 23:40 UTC by Raphael Kubo da Costa
Modified: 2013-10-15 05:42 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2013-09-07 23:40:00 UTC
	Please to an exp-run for our Qt update from version 4.8.4 to 4.8.5. It's a minor release and I don't expect anything to break. It also includes some libc++ fixes that are really good to have as soon as possible. The patch is available at http://people.freebsd.org/~rakuco/exp-runs/qt-4.8.5.diff
Comment 1 Mark Linimon freebsd_committer 2013-09-07 23:41:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to maintainer(s).
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-09-09 02:09:37 UTC
New patch available at http://people.freebsd.org/~rakuco/exp-runs/qt-4.8.5-v2.diff
Comment 3 Bryan Drewery freebsd_committer 2013-09-27 20:21:02 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 4 Bryan Drewery freebsd_committer 2013-09-28 16:25:03 UTC
Responsible Changed
From-To: bdrewery->rakuco

exp-run failed, misc/qt4-doc and devel/qmake both fail checksum, which 
skips everything, please submit updated patch
Comment 5 Raphael Kubo da Costa freebsd_committer 2013-09-30 00:17:19 UTC
Responsible Changed
From-To: rakuco->bdrewery

Sorry about that, I've updated 
http://people.freebsd.org/~rakuco/exp-runs/qt-4.8.5-v3.diff with the 
proper changes to bsd.qt.mk.
Comment 6 Bryan Drewery freebsd_committer 2013-09-30 00:36:24 UTC
Thanks. Starting another run now.
-- 
Regards,
Bryan Drewery
Comment 8 Bryan Drewery freebsd_committer 2013-10-01 12:27:58 UTC
Responsible Changed
From-To: bdrewery->rakuco

exp-run done, 3 failures
Comment 9 Max Brazhnikov freebsd_committer 2013-10-09 18:18:50 UTC
New patch, now with stage support:

http://people.freebsd.org/~makc/patches/qt-4.8.5.diff

On Tue, 01 Oct 2013 06:27:24 -0500 Bryan Drewery wrote:
> Failures:
> 
> > http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_181921/2013-09-30_10h40m38s/logs/errors/qcad-3.2.1.0.log
I'm looking on how to fix it. The tarball ships pregenerated bindings for several Qt versions, and 4.8.5 is not among them.

> > http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_181921/2013-09-30_10h40m38s/logs/errors/qtcreator-2.6.1.log
Updated to new version.

> > http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_181921/2013-09-30_10h40m38s/logs/errors/kde-runtime-4.10.5.log
Looks like random automoc crash, unlikely related to this update.

Max
Comment 10 Max Brazhnikov freebsd_committer 2013-10-09 21:02:13 UTC
On Wed, 09 Oct 2013 17:18:50 +0000 Max Brazhnikov wrote:
> On Tue, 01 Oct 2013 06:27:24 -0500 Bryan Drewery wrote:
> > Failures:
> > 
> > > http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_181921/2013-09-30_10h40m38s/logs/errors/qcad-3.2.1.0.log
> I'm looking on how to fix it. The tarball ships pregenerated bindings for several Qt versions, and 4.8.5 is not among them.

http://people.freebsd.org/~makc/patches/qcad.diff

Cheers,
Max
Comment 11 kwm 2013-10-10 08:32:53 UTC
>>>> http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_181921/2013-09-30_10h40m38s/logs/errors/qcad-3.2.1.0.log
>> I'm looking on how to fix it. The tarball ships pregenerated bindings for several Qt versions, and 4.8.5 is not among them.
> http://people.freebsd.org/~makc/patches/qcad.diff
>
> Cheers,
> Max

This has no impact on the patch test but Where you sure to nuke the 
second line in the DESKTOP_ENTRIES. The one with the description?

-Koop
Comment 12 Max Brazhnikov freebsd_committer 2013-10-10 08:58:06 UTC
> This has no impact on the patch test but Where you sure to nuke the 
> second line in the DESKTOP_ENTRIES. The one with the description?

Port's COMMENT is used if the second field is empty.

Max
Comment 13 Raphael Kubo da Costa freebsd_committer 2013-10-10 13:51:48 UTC
Max Brazhnikov <makc@freebsd.org> writes:

> On Wed, 09 Oct 2013 17:18:50 +0000 Max Brazhnikov wrote:
>> On Tue, 01 Oct 2013 06:27:24 -0500 Bryan Drewery wrote:
>> > Failures:
>> > 
>> > > http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_181921/2013-09-30_10h40m38s/logs/errors/qcad-3.2.1.0.log
>> I'm looking on how to fix it. The tarball ships pregenerated bindings for several Qt versions, and 4.8.5 is not among them.
>
> http://people.freebsd.org/~makc/patches/qcad.diff

Please hold a bit on this one; I'm working on properly updating qcad to
3.3.3.0, which has Qt 4.8.5 support.
Comment 14 Raphael Kubo da Costa freebsd_committer 2013-10-14 00:17:35 UTC
State Changed
From-To: open->closed

And committed, at last!
Comment 15 Raphael Kubo da Costa freebsd_committer 2013-10-14 09:34:35 UTC
In http://svnweb.freebsd.org/changeset/ports/330266 FWIW.